VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "RICHTX32.OCX"
Begin VB.Form frmmynotepad 
   Caption         =   "My Notepad"
   ClientHeight    =   6540
   ClientLeft      =   2775
   ClientTop       =   1305
   ClientWidth     =   7230
   HelpContextID   =   1
   LinkTopic       =   "Form1"
   ScaleHeight     =   5247.265
   ScaleMode       =   0  'User
   ScaleWidth      =   7230
   Begin MSComDlg.CommonDialog cmdn 
      Left            =   3480
      Top             =   3600
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin RichTextLib.RichTextBox rtb 
      Height          =   6495
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   7215
      _ExtentX        =   12726
      _ExtentY        =   11456
      _Version        =   393217
      TextRTF         =   $"frmmynotepad.frx":0000
   End
   Begin VB.Menu menufile 
      Caption         =   "&File"
      HelpContextID   =   2
      Begin VB.Menu menufilenew 
         Caption         =   "New"
         HelpContextID   =   21
         Shortcut        =   ^N
      End
      Begin VB.Menu menufileopen 
         Caption         =   "Open"
         HelpContextID   =   22
         Shortcut        =   ^O
      End
      Begin VB.Menu menufilesave 
         Caption         =   "Save"
         HelpContextID   =   23
         Shortcut        =   ^S
      End
      Begin VB.Menu menufilesaveas 
         Caption         =   "Save as"
         HelpContextID   =   24
      End
      Begin VB.Menu menufilesp1 
         Caption         =   "-"
      End
      Begin VB.Menu menufileexit 
         Caption         =   "&Exit"
         HelpContextID   =   25
      End
   End
   Begin VB.Menu menuedit 
      Caption         =   "Edit"
      HelpContextID   =   3
      Begin VB.Menu menueditcut 
         Caption         =   "Cut"
         HelpContextID   =   31
         Shortcut        =   ^X
      End
      Begin VB.Menu menueditcopy 
         Caption         =   "Copy"
         HelpContextID   =   32
         Shortcut        =   ^C
      End
      Begin VB.Menu menueditpaste 
         Caption         =   "Paste"
         HelpContextID   =   33
         Shortcut        =   ^V
      End
      Begin VB.Menu menueditdelete 
         Caption         =   "Delete"
         HelpContextID   =   34
         Shortcut        =   {DEL}
      End
      Begin VB.Menu menueditsp2 
         Caption         =   "-"
      End
      Begin VB.Menu menueditselectall 
         Caption         =   "Select all"
         HelpContextID   =   35
         Shortcut        =   ^A
      End
      Begin VB.Menu menuedittd 
         Caption         =   "Time/Date"
         HelpContextID   =   36
      End
      Begin VB.Menu menueditsp3 
         Caption         =   "-"
      End
      Begin VB.Menu menueditwr 
         Caption         =   "word wrap"
         HelpContextID   =   37
      End
      Begin VB.Menu menueditsetfont 
         Caption         =   "Set font"
         HelpContextID   =   38
      End
      Begin VB.Menu menueditsetcolour 
         Caption         =   "&Set colour"
         HelpContextID   =   39
      End
   End
   Begin VB.Menu menuhelp 
      Caption         =   "&Help"
      HelpContextID   =   4
      Begin VB.Menu menuhelpht 
         Caption         =   "Help topics"
         HelpContextID   =   41
         Shortcut        =   ^H
      End
      Begin VB.Menu menuhelpsp1 
         Caption         =   "-"
      End
      Begin VB.Menu menuhelpan 
         Caption         =   "About notepad"
      End
   End
End
Attribute VB_Name = "frmmynotepad"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim saveflag As Boolean
Dim tfilename As String


Private Sub Form_Load()
    
    saveflag = False
    rtb.Font.Size = 12
    If Clipboard.GetFormat(vbctext) Then
        
        menueditpaste.Enabled = True
        
    Else
        
        menueditpaste.Enabled = False
    
    End If

End Sub

Private Sub menueditcopy_Click()

    menueditpaste.Enabled = True
    Clipboard.Clear
    Clipboard.SetText rtb.SelText
    
End Sub

Private Sub menueditcut_Click()

    menueditpaste.Enabled = True
    Clipboard.Clear
    Clipboard.SetText rtb.SelText
    rtb.SelText = ""
    
End Sub

Private Sub menueditdelete_Click()
    
    rtb.SelText = ""
    
End Sub

Private Sub menueditpaste_Click()
    
    rtb.SelText = Clipboard.GetText()
   
End Sub

Private Sub menueditsetcolour_Click()

    cmdn.Flags = cdlCCFullOpen + cdlCCRGBInit
    cmdn.CancelError = True
    On Error GoTo errorhandeler
       
    cmdn.ShowColor
    
    If (rtb.SelText = "") Then
    
        rtb.BackColor = cmdn.Color
        
    Else
        
        rtb.SelColor = cmdn.Color
    
    End If
    
errorhandeler:
        
End Sub

Private Sub menueditsetfont_Click()

    cmdn.Flags = cdlCFBoth + cdlCFEffects
    
    cmdn.CancelError = True
    On Error GoTo errorhandeler
   
    cmdn.ShowFont
    rtb.Font.Name = cmdn.FontName
    rtb.Font.Bold = cmdn.FontBold
    rtb.Font.Italic = cmdn.FontItalic
    rtb.Font.Size = cmdn.FontSize
    rtb.Font.Underline = cmdn.FontUnderline
    rtb.Font.Strikethrough = cmdn.FontStrikethru
        
errorhandeler:
    
End Sub

Private Sub menuedittd_Click()
    
    rtb.SelText = "DATE:"
    rtb.SelText = Date
    rtb.SelText = "  Time:"
    rtb.SelText = Time
    
End Sub

Private Sub menufileexit_Click()

    End
    
End Sub

Private Sub menufilenew_Click()
    
    Dim choice As Single
    
    If (rtb.Text <> "") Then
    
        choice = MsgBox("Do you want to save current file", vbYesNo + vbQuestion + vbDefaultButton1, "Warning")
    
    Else
        
        choice = vbNo
        
    End If
    
    If (choice = vbNo) Then
    
        rtb.Text = ""
        saveflag = False
        
        
    Else
        
        cmdn.Filter = "*.txt"
        cmdn.ShowSave
        rtb.SaveFile cmdn.FileName
        saveflag = True
        
    End If
        
    
   
End Sub

Private Sub menufileopen_Click()
    
    cmdn.Filter = "*.txt"
    cmdn.ShowOpen
    rtb.LoadFile cmdn.FileName
    tfilename = cmdn.FileName
    saveflag = True
    
    
End Sub

Private Sub menufilesave_Click()

    If (saveflag = False) Then
    
        cmdn.Filter = ".txt"
        cmdn.ShowSave
        rtb.SaveFile cmdn.FileName
        saveflag = True
        
    Else
        
        rtb.SaveFile tfilename
        
    End If
    
End Sub

Private Sub menufilesaveas_Click()

   cmdn.Filter = ".txt"
   cmdn.ShowSave
   rtb.SaveFile cmdn.FileName
   saveflag = True
   
End Sub


Private Sub menuhelpht_Click()

    cmdn.HelpFile = "I:\Program Files\Microsoft Visual Studio\VB98\avdhoot\t.e.adtl\Hpf1.hlp"
    cmdn.HelpCommand = cdlHelpContents
    cmdn.ShowHelp
    
End Sub
